commit:     73805a56d7d243b6fca3862ee51c18936b708bd5
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 12:29:14 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 13:01:23 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73805a56

dev-php/symfony-finder: bump to v3.4.28

Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/symfony-finder/Manifest                    |  1 +
 ...y-finder-3.4.28-skip-file-time-sort-tests.patch | 20 +++++++++++
 .../symfony-finder/symfony-finder-3.4.28.ebuild    | 39 ++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/dev-php/symfony-finder/Manifest b/dev-php/symfony-finder/Manifest
index e4bdaa66b7f..77527123b73 100644
--- a/dev-php/symfony-finder/Manifest
+++ b/dev-php/symfony-finder/Manifest
@@ -1 +1,2 @@
 DIST symfony-finder-3.2.8.tar.gz 24452 BLAKE2B 
eed88ea672381fa3a0fef9390109fa7b89b8de87f4e0174fcb24c009044818b7c56846eec0b3240eed1c05fe7d682713fdd41c84e5d766cc2632e5576b38b741
 SHA512 
7eff457c6c70bf58b4af7e9adbeeb68a1ad684b95510d929f137545be6b755ece37949687f4de27c7fb4d5f208e30c6b0b3a32a804f7a6a6b8ed0d4ed7dfd9cd
+DIST symfony-finder-3.4.28.tar.gz 25618 BLAKE2B 
592a10a5e8d7f1782242d79bc11ebfde6d528025a65bb18d5c36b238c418a3df10e637a285d0859bb79ab152aafdad5d61d32396efed6f6fe0e800aff03fae69
 SHA512 
5b1754e47eb484fddfb1d29f181efaabb371e62c2afe5c7c1d0552ac82de81aff0fbc6594498b859b64cd34cf35e57cf29110d59e5f376263f1b136a4d184b69

diff --git 
a/dev-php/symfony-finder/files/symfony-finder-3.4.28-skip-file-time-sort-tests.patch
 
b/dev-php/symfony-finder/files/symfony-finder-3.4.28-skip-file-time-sort-tests.patch
new file mode 100644
index 00000000000..25729f89e1e
--- /dev/null
+++ 
b/dev-php/symfony-finder/files/symfony-finder-3.4.28-skip-file-time-sort-tests.patch
@@ -0,0 +1,20 @@
+There's one set of tests that tries to sort an array of files by their
+access and modification times, and that doesn't work if your filesystem
+is mounted with noatime (a lot of our users do that).
+
+This should probably be fixed upstream, and has been reported here:
+
+https://github.com/symfony/symfony/issues/17489
+
+--- a/Tests/Iterator/SortableIteratorTest.php
++++ b/Tests/Iterator/SortableIteratorTest.php
+@@ -65,7 +65,8 @@ class SortableIteratorTest extends RealIteratorTestCase
+             if ('\\' === \DIRECTORY_SEPARATOR && 
SortableIterator::SORT_BY_MODIFIED_TIME !== $mode) {
+                 $this->markTestSkipped('Sorting by atime or ctime is not 
supported on Windows');
+             }
+-            $this->assertOrderedIteratorForGroups($expected, $iterator);
++            // $this->assertOrderedIteratorForGroups($expected, $iterator);
++            $this->markTestSkipped('Sorting by time is failure-prone on 
Gentoo');
+         } else {
+             $this->assertOrderedIterator($expected, $iterator);
+         }

diff --git a/dev-php/symfony-finder/symfony-finder-3.4.28.ebuild 
b/dev-php/symfony-finder/symfony-finder-3.4.28.ebuild
new file mode 100644
index 00000000000..40b3be06d7a
--- /dev/null
+++ b/dev-php/symfony-finder/symfony-finder-3.4.28.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Symfony Finder Component"
+HOMEPAGE="https://github.com/symfony/finder";
+SRC_URI="https://github.com/symfony/finder/archive/v${PV}.tar.gz -> 
symfony-finder-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-lang/php:*
+       dev-php/fedora-autoloader"
+DEPEND="test? ( ${RDEPEND} >=dev-php/phpunit-5.7.15 )"
+
+S="${WORKDIR}/finder-${PV}"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.4.28-skip-file-time-sort-tests.patch )
+
+src_prepare() {
+       default
+       if use test; then
+               cp "${FILESDIR}/autoload.php" "${S}/autoload-test.php" || die
+       fi
+}
+
+src_install() {
+       insinto "/usr/share/php/Symfony/Component/Finder"
+       doins -r Comparator Exception Iterator
+       doins *.php "${FILESDIR}"/autoload.php
+       dodoc CHANGELOG.md README.md
+}
+
+src_test() {
+       phpunit --bootstrap "${S}/autoload-test.php" || die 'test suite failed'
+}

Reply via email to